.TH "PYOMO" 1 "" "" "pyomo"
.SH NAME
\fBpyomo\fP \- user interface of the Pyomo optimization tool
.SH USAGE EXAMPLES
$ pyomo solve --solver=\fIglpk\fP \fImodel1.py\fP \fImodel.dat\fP --summary
.PP
$ pyomo solve --solver-manager=neos --solver=\fIcplex\fP \fImodel1.py\fP \fImodel.dat\fP --summary
.SH OPTIONS
.IP \fB--version\fP
put out the version number and exit.
.IP \fB-h,--help\fP
put out a help message and exit.
.SH SUBCOMMANDS
.IP \fBsolve\fP
optimize a Pyomo model.
Some of the solvers which are supported by Pyomo's versatile backend are available within
Debian.
\fB--solver=glpk\fP uses the LP/MIP solver (glpsol) of GNU Linear Programming Kit for optimizing (package: glpk-utils). \fB--solver=cbc\fP uses the MIP solver (cbc) of the COIN-OR project (package: coinor-cbc).
Individual configuration files could be employed, while rich commented templates for that could be easily generated.
Individual arguments could be passed to the solver by \fB--solver-options="<option>"\fP.
Please regard that the perfomance level of open source solvers isn't analogous to commercial products like CPLEX when it comes to solving large-scale and very complex problems, but you can do a lot with them.
The NEOS Server (http://www.neos-server.org/neos/) is employed by \fB--solver-manager=neos\fP, while the individual solver which is hosted there must be given, e.g. \fB--solver=cplex\fP. 
The command \fBpyomo help --solvers\fP puts out information on the whole issue.
.IP \fBcheck\fP
check a model script for errors.
.IP \fBconvert\fP
convert a model script to another format.
.IP \fBrun\fP
execute helper scripts installed with Pyomo.
\fB--list\fP shows a list of available scripts, and \fBpyomo help --commands\fP puts out information on them. If you want to run those helper scripts independently please add \fI/usr/share/pyomo/\fP to $PATH.
.IP \fBinfo\fP
put out general system information.
.IP \fBtest-solvers\fP
test supported solvers.
.IP \fBhelp\fP
put out information about Pyomo's components and features.
E.g. \fBpyomo help --components\fP puts out information about what is available in the modeling environment.
.PP
Some subcommands put out a usage synopsis when run without options, and some put out extra information when \fB--help\fP is given to them.
.SH HELP
For Pyomo's documentation, please see \fIhttp://www.pyomo.org/documentation/\fP. A large collection
of example models could be found in \fI/usr/share/doc/pyomo/examples/\fP. And there's a tutorial
in \fIexamples/pyomo/tutorial\fP.
.SH SEE ALSO
glpsol(1), cbc(1)
.SH AUTHORS
Pyomo is written by William Hart, John Siirola, and Jean-Paul Watson.
.P
This manpage is written by Daniel Stender <stender@debian.org>.
